//Writes all keys to EEPROM.
void save() {
  Serial.println("Saving keys to EEPROM.");
  //For each key:
  int n = 0, keynum = 0;
  while (n < 255) { 
    //Increment i until it finds a valid (nonzero) key.
    while ((KEYS[n] == 0) && (n < 255)) n++;

    keynum++;
    printKey(n); //Print keys out.

    
    //Write key to memory:
    EEPROM_writelong(START+4*n, KEYS[n]);
    n++; //Wrote key; increment.
  }
  EEPROM.write(0, keynum);
  
  Serial.print(keynum);
  Serial.println(" keys saved.");
}

//Read in keys from EEPROM
void load() {
  noInterrupts();
  Serial.println("Reading keys from EEPROM.");

  //How many keys are stored?
  int keynum = EEPROM.read(0);
  Serial.print(keynum);
  Serial.println(" keys to load");
  
  //For each key:
  int readIndex = 0, writeIndex = 0;
  
  while (readIndex < keynum) {
    //For each of the four bytes that make up the long that make up the key:
    current = EEPROM_readlong(START+4*readIndex);
    //Check for duplicate keys. (has a habit of duplicating keys. Weed them out here.)
    if (check()) {
      Serial.print("Ignoring: ");
      readIndex++;
    } else {
      KEYS[writeIndex] = current;
      printKey(writeIndex);
      readIndex++;
      writeIndex++;
    }
  }
  interrupts();
}

